function [sys,x0,str,ts] = spacemodel(t,x,u,flag)
switch flag,
case 0,
    [sys,x0,str,ts]=mdlInitializeSizes;
case 1,
    sys=mdlDerivatives(t,x,u);
case 3,
    sys=mdlOutputs(t,x,u);
case {2,4,9}
    sys=[];
otherwise
    error(['Unhandled flag = ',num2str(flag)]);
end

function [sys,x0,str,ts]=mdlInitializeSizes
global  m1 m2 L1  r1 r2 Fai g  %node c b 
% node=9;
% c=[-2 -1.5 -1 -0.5 0 0.5 1 1.5 2;
%    -2 -1.5 -1 -0.5 0 0.5 1 1.5 2];
% b=10;
Fai=2*eye(2);
mz=66;
Lz=1.70;
m1=0.2578*mz;
m2=0.0968*mz;
L1=0.10042*Lz;
L2=0.04651*Lz;
r1=0.386*L1;
r2=0.413*L2;
g=9.8;

sizes = simsizes;
sizes.NumContStates  = 0;
sizes.NumDiscStates  = 0;
sizes.NumOutputs     = 1;
sizes.NumInputs      = 4;
sizes.DirFeedthrough = 1;
sizes.NumSampleTimes = 1;
sys = simsizes(sizes);

x0  = [];
str = [];
ts  = [0 0];

function sys=mdlDerivatives(t,x,u)


sys=[];


function sys=mdlOutputs(t,x,u)
  qh=u(1);
  qk=u(3);
  L=0.39;
  h=(1-cos(qh-qk))*L;



sys=h;