clc;close all;
[n,m]=size(q);
q_h=q(:,2);
q_k=q(:,4);
ddqh=zeros(n,1);
ddqk=zeros(n,1);
for i=1:(n-1)
    ddqh(i)=(q_h(i+1)-q_h(i))/(t(i+1)-t(i));
    ddqk(i)=(q_k(i+1)-q_k(i))/(t(i+1)-t(i));
end
% for i=1:5
%     ddqh(i)=0;
%     ddqk(i)=0;  
% end
ddqh_1=zeros(floor(n/20),1);
ddqk_1=zeros(floor(n/20),1);
t_1=zeros(floor(n/20),1);
for i=1:floor(n/20)
    ddqh_1(i)=ddqh(i*20);
    ddqk_1(i)=ddqk(i*20);
    t_1(i)=t(i*20);
end
figure(1);
subplot(211);
plot(t_1,ddqh_1,'r','linewidth',2);
xlabel('time(s)');ylabel('joint angle tracking for hip');
legend(' position for hip加速度');
subplot(212);
plot(t_1,ddqk_1,'r','linewidth',2);
xlabel('time(s)');ylabel('joint angle tracking for knee');
legend(' joint angle for knee加速度');                                                                  

