function [sys,x0,str,ts] = spacemodel(t,x,u,flag)
switch flag,
case 0,
    [sys,x0,str,ts]=mdlInitializeSizes;
case 1,
    sys=mdlDerivatives(t,x,u);
case 3,
    sys=mdlOutputs(t,x,u);
case {2,4,9}
    sys=[];
otherwise
    error(['Unhandled flag = ',num2str(flag)]);
end
function [sys,x0,str,ts]=mdlInitializeSizes
sizes = simsizes;
sizes.NumContStates  = 0;
sizes.NumDiscStates  = 0;
sizes.NumOutputs     = 2;
sizes.NumInputs      = 0;
sizes.DirFeedthrough = 0;
sizes.NumSampleTimes = 1;
sys = simsizes(sizes);
x0  = [];
str = [];
ts  = [0 0];
function sys=mdlOutputs(t,x,u)

% % left腿拟合数据


       a0 =       26.46  ;
       a1 =      -81.76 ;
       b1 =       31.24 ;
       a2 =       5.399  ;
       b2 =      -85.61  ;
       a3 =       23.74  ;
       b3 =       13.07  ;
       a4 =       7.194 ;
       b4 =       -28.1  ;
       a5 =       27.21  ;
       b5 =       18.45  ;
       a6 =      -4.853  ;
       b6 =     -0.3143  ;
       a7 =        12.7 ;
       b7 =       11.76 ;
       a8 =       -10.5 ;
       b8 =       4.669  ;
       w =       4.657  ;
tour_hip_opensim=a0+a1*cos(w*t)+b1*sin(w*t)+a2*cos(2*w*t)+b2*sin(2*w*t)+a3*cos(3*w*t)+b3*sin(3*w*t)+...
    +a4*cos(4*w*t)+b4*sin(4*w*t)+a5*cos(5*w*t)+b5*sin(5*w*t)+a6*cos(6*w*t)+b6*sin(6*w*t)+...
    +a7*cos(7*w*t)+b7*sin(7*w*t)+a8*cos(8*w*t)+b8*sin(8*w*t);






       a0 =      -7.972 ;
       a1 =      -34.12;
       b1 =      -21.73 ;
       a2 =       18.85  ;
       b2 =      -26.74  ;
       a3 =       2.054 ;
       b3 =      -6.345 ;
       a4 =       22.33  ;
       b4 =      -3.193 ;
       a5 =      -1.244  ;
       b5 =       7.969  ;
       a6 =       9.891 ;
       b6 =       3.365  ;
       a7 =      -6.639  ;
       b7 =        7.41  ;
       a8 =       1.856  ;
       b8 =      0.2624  ;
       w =       5.064  ;

tour_knee_opensim=a0+a1*cos(w*t)+b1*sin(w*t)+a2*cos(2*w*t)+b2*sin(2*w*t)+a3*cos(3*w*t)+b3*sin(3*w*t)+...
    +a4*cos(4*w*t)+b4*sin(4*w*t)+a5*cos(5*w*t)+b5*sin(5*w*t)+a6*cos(6*w*t)+b6*sin(6*w*t)+...
    +a7*cos(7*w*t)+b7*sin(7*w*t)+a8*cos(8*w*t)+b8*sin(8*w*t);

sys(1)=tour_hip_opensim;
sys(2)=tour_knee_opensim;
